{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>
    <!--FONT AWESOME ICONS https://fontawesome.com/v4.7/icon/home-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="{% static 'user/css/home.css' %}" type="text/css" rel="stylesheet">
</head>

<body>
    <div class="container">
        <div class="navigation" ID="navigation">
            <ul>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa fa-shield" aria-hidden="true"></i></span>
                        <span class="title">
                            <h2>LoRa Aegis</h2>
                        </span>
                    </a>
                </li>
                <li>
                    <a href="dashboard" target="contents_frame">
                        <span class="icon"><i class="fa fa-home" aria-hidden="true"></i></span>
                        <span class="title"> Dashboard</span>
                    </a>
                </li>
                <li>
                    <a href="device-manage" target="contents_frame">
                        <span class="icon"><i class="fa fa-microchip" aria-hidden="true"></i></span>
                        <span class="title"> Devices</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa fa-comments-o" aria-hidden="true"></i></span>
                        <span class="title"> Alerts</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa fa-question-circle" aria-hidden="true"></i></span>
                        <span class="title"> Help</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span class="icon"><i class="fa fa-cog" aria-hidden="true"></i></span>
                        <span class="title"> Settings</span>
                    </a>
                </li>
                <li>
                    <a href="/authentication/logout">
                        <span class="icon"><i class="fa fa-sign-out" aria-hidden="true"></i></span>
                        <span class="title">Sign-out</span>
                    </a>
                </li>
            </ul>
        </div>

        <div class="main">
            <div class="topbar">
                <div class="toggle" onclick="toggleMenu();"></div>
                <div class="search">
                    <label>
                        <input type="text" placeholder="Search here">
                        <i class="fa fa-search" aria-hidden="true"></i>
                    </label>
                </div>
                <div class="user">
                    <img src="{% static 'user/images/user.png' %}">
                </div>
            </div>

            <div class="contents" id="contents" name="contents">
                <iframe id="contents_frame" class="contents_frame" name="contents_frame" src="dashboard"
                    title=""></iframe>
                <br><br>
            </div>
            <br><br><br>

        </div>

    </div>

    <script>
        let setCount = 0;
        function toggleMenu() {
            let toggle = document.querySelector('.toggle');
            let navigation = document.querySelector('.navigation');
            let main = document.querySelector('.main');
            toggle.classList.toggle('active');
            navigation.classList.toggle('active')
            main.classList.toggle('active')
        }
        function closeNav() {
            if (window.innerWidth <= 726 & setCount != 1) {
                toggleMenu();
            }
            setCount = 0;
        }

        document.getElementById("navigation").addEventListener("click", closeNav);
    </script>
</body>

</html>